# weathermap

The weathermap package aims to aid users in getting necessary weather information in a simplified way, making it easy to integrate into various development projects where weather data is needed. The project can be accessed on PyPI [here](https://pypi.org/project/weathermap/), and the GitHub repository is available [here](https://github.com/savan2508/WeatherApp).

## Project Overview

The weathermap package is currently under development, but its primary goal is to provide users with easy access to weather data as long as they have an API key from openweathermap.org. Acquiring the API key is straightforward and should be ready to use within two hours, after which this library becomes accessible for use.

## Acquiring the API Key

To use the Weather package, you'll need an API key from openweathermap.org. Follow these steps to obtain a free API key:

1. Go to [openweathermap.org](https://openweathermap.org/api) and create an account.
2. After successfully creating the account, log in to your account.
3. Once logged in, navigate to the API keys section.
4. Generate a new API key by following the provided instructions.
5. Make sure to copy the generated API key, as it will be required to create a Weather object.

## Installation

You can install the package using pip:

```bash
pip install weathermap
```

## Key Features

- Simplified Weather Data: Instead of overwhelming users with excessive data, the Weather package provides only the necessary weather information that users require.

- Flexible Use Cases: This library can be utilized in various scenarios, especially when users are developing programs that rely on different weather information for cities or specific latitude and longitude coordinates.

- Easy Data Access: The primary objective of the project is to allow users to create instances for different cities, and then easily access various weather information using different methods.

## Future Updates

The Weather package will continue to be updated in the future with additional functionality. The ultimate goal is to include methods that allow users to access all available weather information from the openweathermap.org API with ease.

With this package, developers can effortlessly integrate weather data into their projects, making it a valuable tool for a wide range of applications.

---
For more information and updates, visit the project on [PyPI](https://pypi.org/project/weathermap/) or check out the [GitHub repository](https://github.com/savan2508/WeatherApp).
